[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[SCM] Debian package checker branch, master, updated. 2.5.10-93-g35b0d43



The following commit has been merged in the master branch:
commit 35b0d4364fb40184f241e39d269b63e9aa7195cd
Author: Niels Thykier <niels@thykier.net>
Date:   Tue Jul 24 11:44:51 2012 +0200

    t: Add test for debconf "config" related issues
    
    Signed-off-by: Niels Thykier <niels@thykier.net>

diff --git a/t/COVERAGE b/t/COVERAGE
index ba72f60..26c369c 100644
--- a/t/COVERAGE
+++ b/t/COVERAGE
@@ -1,5 +1,5 @@
 Last generated 2012-07-24
-Coverage (Tags): 864/962 (89.81%), w. legacy tests: 943/962 (98.02%)
+Coverage (Tags): 869/962 (90.33%), w. legacy tests: 944/962 (98.13%)
 Coverage (Checks): 32/41 (78.05%), w. legacy tests: 35/41 (85.37%)
 
 The following tags are not tested by the test suite:
@@ -8,7 +8,6 @@ binaries binary-file-compressed-with-upx
 binaries ocaml-custom-executable
 
 debconf debconf-is-not-a-registry
-debconf isdefault-flag-is-deprecated
 
 files debug-package-should-be-named-dbg
 files udeb-contains-documentation-file
@@ -37,18 +36,14 @@ binaries debug-file-should-use-detached-symbols
 binaries statically-linked-binary
 binaries unstripped-binary-or-object
 
-debconf config-does-not-load-confmodule
-debconf debconf-config-not-executable
 debconf loads-obsolete-confmodule
 debconf missing-debconf-dependency
 debconf missing-debconf-dependency-for-preinst
 debconf no-debconf-templates
-debconf possible-debconf-note-abuse
 debconf postinst-does-not-load-confmodule
 debconf postinst-uses-db-input
 debconf postrm-does-not-purge-debconf
 debconf template-uses-unsplit-choices
-debconf unknown-debconf-priority
 
 files desktop-file-in-wrong-dir
 files package-contains-devhelp-file-without-symlink
@@ -160,12 +155,10 @@ debconf
   missing-debconf-dependency
   missing-debconf-dependency-for-preinst
   newer-debconf-templates
-  possible-debconf-note-abuse
   postinst-uses-db-input
   postrm-does-not-purge-debconf
   template-uses-unsplit-choices
   udeb-postinst-must-not-call-ldconfig
-  unknown-debconf-priority
   unknown-encoding-in-po-file
 
 debug
@@ -195,8 +188,6 @@ foo++
 libbaz
 
 maintainer-scripts
-  config-does-not-load-confmodule
-  debconf-config-not-executable
   init.d-script-not-included-in-package
   init.d-script-not-marked-as-conffile
   maintainer-script-ignores-errors
diff --git a/t/tests/debconf-config-general/debian/debian/config b/t/tests/debconf-config-general/debian/debian/config
new file mode 100644
index 0000000..fdec12b
--- /dev/null
+++ b/t/tests/debconf-config-general/debian/debian/config
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+# Forget to load the confmodule
+# . /usr/share/debconf/confmodule
+
+
+db_input low debconf/note-abuse
+db_go
+
+
+db_input unknown debconf/unknown-priority
+db_go
+
+db_fset debconf/deprecated-default isdefault true
+
+db_input low debconf/deprecated-default
+db_go
+
+db_input low debconf/translated
+db_go
diff --git a/t/tests/debconf-templates-general/debian/debian/po/POTFILES.in b/t/tests/debconf-config-general/debian/debian/po/POTFILES.in
similarity index 100%
copy from t/tests/debconf-templates-general/debian/debian/po/POTFILES.in
copy to t/tests/debconf-config-general/debian/debian/po/POTFILES.in
diff --git a/t/tests/debconf-templates-general/debian/debian/po/da.po b/t/tests/debconf-config-general/debian/debian/po/da.po
similarity index 100%
copy from t/tests/debconf-templates-general/debian/debian/po/da.po
copy to t/tests/debconf-config-general/debian/debian/po/da.po
diff --git a/t/tests/debconf-templates-general/debian/debian/po/templates.pot b/t/tests/debconf-config-general/debian/debian/po/templates.pot
similarity index 100%
copy from t/tests/debconf-templates-general/debian/debian/po/templates.pot
copy to t/tests/debconf-config-general/debian/debian/po/templates.pot
diff --git a/t/tests/debconf-syntax-error/debian/debian/postinst b/t/tests/debconf-config-general/debian/debian/postinst
similarity index 100%
copy from t/tests/debconf-syntax-error/debian/debian/postinst
copy to t/tests/debconf-config-general/debian/debian/postinst
diff --git a/t/tests/debconf-config-general/debian/debian/rules b/t/tests/debconf-config-general/debian/debian/rules
new file mode 100644
index 0000000..558750b
--- /dev/null
+++ b/t/tests/debconf-config-general/debian/debian/rules
@@ -0,0 +1,10 @@
+#!/usr/bin/make -f
+
+TMP=debian/$(shell dh_listpackages)
+
+%:
+	dh $@
+
+override_dh_builddeb:
+	chmod 0644 "$(TMP)/DEBIAN/config"
+	dh_builddeb
diff --git a/t/tests/debconf-config-general/debian/debian/templates b/t/tests/debconf-config-general/debian/debian/templates
new file mode 100644
index 0000000..964320d
--- /dev/null
+++ b/t/tests/debconf-config-general/debian/debian/templates
@@ -0,0 +1,15 @@
+Template: debconf/translated
+Type: error
+_Description: Useless note
+
+Template: debconf/note-abuse
+Type: note
+Description: This is a note abuse
+
+Template: debconf/unknown-priority
+Type: error
+Description: Invoked with unknown debconf priority
+
+Template: debconf/deprecated-default
+Type: boolean
+Description: Is this use deprecated?
diff --git a/t/tests/debconf-config-general/desc b/t/tests/debconf-config-general/desc
new file mode 100644
index 0000000..df8a465
--- /dev/null
+++ b/t/tests/debconf-config-general/desc
@@ -0,0 +1,10 @@
+Testname: debconf-config-general
+Sequence: 6000
+Version: 1.0
+Description: Test for various debconf config issues
+Test-For:
+ config-does-not-load-confmodule
+ debconf-config-not-executable
+ isdefault-flag-is-deprecated
+ possible-debconf-note-abuse
+ unknown-debconf-priority
diff --git a/t/tests/debconf-config-general/tags b/t/tests/debconf-config-general/tags
new file mode 100644
index 0000000..7f0df94
--- /dev/null
+++ b/t/tests/debconf-config-general/tags
@@ -0,0 +1,6 @@
+E: debconf-config-general: control-file-has-bad-permissions config 0644 != 0755
+E: debconf-config-general: debconf-config-not-executable
+E: debconf-config-general: unknown-debconf-priority config:13 unknown
+W: debconf-config-general: config-does-not-load-confmodule
+W: debconf-config-general: isdefault-flag-is-deprecated config
+W: debconf-config-general: possible-debconf-note-abuse config:9 debconf/note-abuse

-- 
Debian package checker


Reply to: